jvx.numeric

## Class PnPreconditionerJacobi

- java.lang.Object
- - jvx.numeric.PnPreconditioner
  - - jvx.numeric.PnPreconditionerJacobi

-     public class PnPreconditionerJacobi
      extends PnPreconditioner

  Perform a diagonal (Jacobi) preconditioning from the left to the a linear equation system smat.x=b.
  Author:
    Jonas Hurrelmann
  Version:
    02.12.05, 1.00 created (jh)

- - ### Field Summary

    - ### Fields inherited from class jvx.numeric.PnPreconditioner

      `m_smat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnPreconditionerJacobi(PnSparseMatrix smat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PdVector` | `apply(PdVector b, PdVector x, int dim)` Apply the preconditioner to a given vector b storing the result in x using given dimension of vectors This method has to be implemented
    `PdVector` | `applyTransposed(PdVector b, PdVector x, int dim)` Apply the preconditioner transposed to a given vector b storing the result in x This method has to be implemented
    `void` | `setSparseMatrix(PnSparseMatrix pm)` Set the matrix to use in the preconditionert.

    - ### Methods inherited from class jvx.numeric.PnPreconditioner

      `apply, applyTransposed`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PnPreconditionerJacobi

          public PnPreconditionerJacobi(PnSparseMatrix smat)

  - ### Method Detail

    - #### setSparseMatrix

          public void setSparseMatrix(PnSparseMatrix pm)

      Description copied from class: `PnPreconditioner`
      Set the matrix to use in the preconditionert. The matrix has to be square.

      This method has to be implemented

      Overrides:
        `setSparseMatrix` in class `PnPreconditioner`

    - #### apply

          public PdVector apply(PdVector b,
                                PdVector x,
                                int dim)

      Description copied from class: `PnPreconditioner`
      Apply the preconditioner to a given vector b storing the result in x using given dimension of vectors

      This method has to be implemented

      Overrides:
        `apply` in class `PnPreconditioner`
      Returns:
        x

    - #### applyTransposed

          public PdVector applyTransposed(PdVector b,
                                          PdVector x,
                                          int dim)

      Description copied from class: `PnPreconditioner`
      Apply the preconditioner transposed to a given vector b storing the result in x

      This method has to be implemented

      Overrides:
        `applyTransposed` in class `PnPreconditioner`
      Returns:
        x

"

The software JavaView? is copyright protected. All Rights Reserved.
"